Bug Hunting Session
Bug 101846 - Spellchecker reacting on hyperlinks
Summary: Spellchecker reacting on hyperlinks
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: x86 (IA32) Windows (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2016-09-01 16:14 UTC by alec.zubenko
Modified: 2017-03-31 14:06 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alec.zubenko 2016-09-01 16:14:44 UTC
Maybe not quite a bug, but... 
The spellchecker keeps underlining separate words in hyperlinks, as if they are spelling mistakes. Looks strange in 2016. Should the hyperlinks really be checked for spelling? Turning this feature off for links seems just reasonable.
Comment 1 Buovjaga 2016-09-23 19:51:17 UTC
You mean like, you type some nonsense words "hdvkj sdvksv" and turn the whole thing into a hyperlink? In my case, the spellchecker does not react to the hyperlink.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.4
Build ID: 5.2.0-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 Kruno 2016-10-16 19:43:08 UTC
(In reply to Buovjaga from comment #1)
> You mean like, you type some nonsense words "hdvkj sdvksv" and turn the
> whole thing into a hyperlink? In my case, the spellchecker does not react to
> the hyperlink.

In my case it underlines but problem is fixed after saving and reopening the document.

I feel it's the same (or related) problem that described described in (my) comment 25 of bug number 39203.

If you type "This is hdvkj sdvksv" and make "hdvkj sdvksv" a link, the moment you enter new word underlining will disappear.

But if you type "This is hdvkj sdvksv some example." and then go back and select "hdvkj sdvksv" and make it a link, underline will remain until reopening the document.

Similarly to that, if you type www.bugs.documentfoundation.org, LO will not preforme spell check (expected).

But if you write https://www.bugs.documentfoundation.org, "https" will be underlined and only way to fix that is to reopen the document as in first example.

When it comes to spell checker in LO, you never know if it is a one time quirk or an actual bug.
Comment 3 Yousuf Philips (jay) (retired) 2016-10-17 08:35:46 UTC
As Kruno pointed out, the spellchecker isnt removing the spelling underline after a hyperlink is added to text.

Steps:
1) Open Writer
2) Type 'My name is Yousuf Philips'
3) It will spelling underline 'Yousuf'
4) Select 'Yousuf' and make it a link
5) Spelling underline still appears
6) Deselect text and add a space before 'Philips'
7) Spelling underline disappears

Version: 5.3.0.0.alpha0+
Build ID: 45a7137c6796f33fbf5b8f7cb64e293260d991cb
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-13_23:38:06
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 Commit Notification 2017-03-31 12:51:09 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3aa0e4c567afc734c45c715e44d9e3040cb9f29

tdf#101846: update spelling on URL changes

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.